summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
Diffstat (limited to 'eclass')
-rw-r--r--eclass/bjam.eclass20
-rw-r--r--eclass/systemd-unit.eclass1
2 files changed, 20 insertions, 1 deletions
diff --git a/eclass/bjam.eclass b/eclass/bjam.eclass
new file mode 100644
index 0000000..f2007d9
--- /dev/null
+++ b/eclass/bjam.eclass
@@ -0,0 +1,20 @@
+# Distributed under the terms of the GNU General Public License v2
+
+# @ECLASS: bjam.eclass
+# @MAINTAINER:
+# randomdan
+# @AUTHOR:
+# randomdan
+# @BLURB:
+# @DESCRIPTION:
+
+src_prepare() {
+ ebegin "Setting portage CXX and LD flags"
+ sed -i "s|^using gcc .*|using gcc : : : <compileflags>\"${CXXFLAGS}\" <linkflags>\"${LDFLAGS}\" ;|" ${S}/Jamroot.jam
+ eend $?
+}
+
+bjambuild() {
+ setarch $(uname -m) -RL b2 ${BJAMOPTS} variant=release -q $@
+}
+
diff --git a/eclass/systemd-unit.eclass b/eclass/systemd-unit.eclass
index 9436c15..cf6c62b 100644
--- a/eclass/systemd-unit.eclass
+++ b/eclass/systemd-unit.eclass
@@ -1,4 +1,3 @@
-# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$